<?php

/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package Wordkit
 */

get_header();
?>

<div id="primary" class="uk-container uk-container-xsmall">
	<main id="main" class="site-main">

		<?php
		while (have_posts()) :
			the_post();

			get_template_part('template-parts/content', get_post_type());
		?>
			<div class="uk-link-heading"><?php the_tags() ?></div>
			<div class="uk-clearfix uk-flex-wrap uk-margin">
				<div class="uk-float-left uk-button uk-button-text"><?php previous_post_link(__('Previous:%link', 'wordkit'), '%title', true); ?></div>
				<div class="uk-float-right uk-button uk-button-text"><?php next_post_link(__('Next:%link', 'wordkit'), '%title', true); ?></div>
			</div>
		<?php

			// If comments are open or we have at least one comment, load up the comment template.
			if (comments_open() || get_comments_number()) :
				comments_template();
			endif;

		endwhile; // End of the loop.
		?>

	</main><!-- #main -->
</div><!-- #primary -->

<?php
get_footer();
